# Console Editor Application

The Console Editor Application is a system console application to make minor changes to an exported connection profile, such as the file path to the JDBC driver JARs, a connection URL, an ODA data source file path, and so on.

When you copy an exported file to a server platform for deployment, you can use this editor tool to quickly adjust the connection profile properties without having to open Data Source Explorer in the Eclipse workbench.The updates are saved in a separate file for all the connection profiles.

Before you can use the Console Editor Application, you must install org.eclipse.datatools.connectivity.console.profile_<version>.jar in your Eclipse environment, along with the other DTP plug-ins.

From within your Eclipse home directory, enter the command syntax.

eclipse[c] -nosplash -application org.eclipse.datatools.connectivity.console.profile.StorageFileEditor [ -? | -in <connectionProfileFile> | -out <saveAsFile> | -profile <profileName> ]

For Windows platforms, indicate `eclipsec`. For other platforms, use `eclipse`.

Table 1. Optional command line options
Option | Description
--- | ---
-? | Displays help.
-in <connectionProfileFile> | Enter the name of the connection profile storage file to view and/or change.
-out <saveAsFile> | Enter the name of the output file to save your changes.
-profile <profileName> | Enter the name of a connection profile to view and/or change. If you do not specify a connection profile name, the Console Editor steps through all the profiles found in the input file.

Note: If you do not specify an argument value, the Console Editor prompts you for an input value.
Related tasks
Editing Connection Profile Properties